use crate::layouts;
use axum::{Router, routing::get};
use maud::{Markup, html};

mod new;

pub fn routes() -> Router {
    Router::new()
        .route("/", get(page))
        .nest("/new", new::routes())
}

async fn page() -> Markup {
    let content = html! {
        h1 { "Exercises" }
        a href="/exercises/new" { "new exercise +" }
    };

    layouts::desktop(content, "Exercises")
}
